<template name="schedule">
	
	{{>menu}}
	<div class="container">
		<div class="panel panel-default">
		  <div class="panel-heading">
		    <h3 class="panel-title">{{ movie.name }}</h3>
		  </div>
		  <div class="panel-body">
		  	<div class="col-md-4">
		  		<div class="panel panel-default">
				    <div class="panel-body align-center">
		                <select id="branch-list" class="form-control fullwidth">
		                	<option value="" disabled="" selected="" style="display:none;">Select Branch</option>
		                	{{ #each movie.availability }}
			                	<option value={{@index}}>{{ branch }}</option>
		                	{{ /each }}
		                </select>
		                <select id="schedule-list" disabled="disabled" class="form-control fullwidth">
		                	<option value="" disabled="" selected="" style="display:none;">Select Schedule</option>
		                </select>
		                <select class="form-control fullwidth" id="cboSeatsQty">
		                	<option value="1">1</option>
		                	<option value="2">2</option>
		                	<option value="3">3</option>
		                	<option value="4">4</option>
		                	<option value="5">5</option>
		                	<option value="6">6</option>
		                	<option value="7">7</option>
		                	<option value="8">8</option>
		                	<option value="9">9</option>
		                	<option value="10">10</option>
		                </select>
		                <div style="text-align: center; color: red;">
		                	<span>Guaranteed Seating</span>
		                </div>
		                <button id="btnSelectTickets" name="bt" type="button" class="form-control btn btn-primary fullwidth" data-id={{movie._id}}>Buy Tickets</button>
				    </div>
				</div>
		  	</div>
		  	<div class="col-md-5">
	            <b >{{ movie.type }}</b>
	            <p >Synopsis</p>
	            <p >{{ movie.sypnosis }}</p>
	            <table>
	                <tbody><tr>
	                    <td>Running Time</td>
	                    <td><span id="txtRunningTime">{{ movie.runningTime }}</span></td>
	                </tr>
	                <tr>
	                    <td>Genre</td>
	                    <td><span id="txtGenre">{{ movie.genre }}</span></td>
	                </tr>
	                
	                <tr>
	                    <td>Cast</td>
	                    <td><span id="txtCast">{{ movie.cast }}</span></td>
	                </tr>
	                <tr>
	                    <td>Release Date</td>
	                    <td><span id="txtReleaseDate">{{ movie.releaseDate }}</span></td>
	                </tr>
	            </tbody></table>
		  	</div>
		  	<div class="col-md-3">
			    <img src={{ movie.image }}>
			    <div class="trailer">
			    	<a href="https://www.youtube.com/watch?v=yIUube1pSC0">Play The Trailer</a>
			    </div>
		  	</div>
		  	<div class="row" style="margin-bottom: 20px"></div>
		  	<hr>
		  	<div class="row">
		  	<div id="ticketDetails" class="col-md-12 hidden">
				<div class="col-md-6">
					<table class="table table-bordered">
						<tbody>
							<tr>
							    <td colspan="2" class="table-title">Movie Screening Details</td>
							</tr>
							<tr>
							    <td>Movie</td>
							    <td id="lblMovieName">{{ movie.name }}</td>
							</tr>
							<tr>
							    <td>Cinema</td>
							    <td id="lblCinemaName">Cinema 2</td>
							</tr>
							<tr>
							    <td>Type</td>
							    <td id="lblType">DIGITAL</td>
							</tr>
							<tr>
							    <td>Screening Date</td>
							    <td id="lblScreeningDate"></td>
							</tr>
							<tr>
							    <td>Starting Time</td>
							    <td id="lblStartingTime"></td>
							</tr>
							<tr>
							    <td>Price</td>
							    <td id="lblPrice">{{ movie.price }}</td>
							</tr>
						</tbody>
					</table>
				</div>
				<div class="col-md-6">
					<table class="table table-bordered">
					  <tbody>
			                   <tr>
			                    <td colspan="6" class="table-title">Purchase Details</td>
			                </tr>
			                <tr>
			                    <td colspan="1">Seat Quantity</td>
			                    <td colspan="5" id="lblSeatQtyTop"></td>
			                </tr>
			                <tr id="tr-seats-selected" style="display: none;">
			                    <td colspan="1">Seat Selected</td>
			                    <td colspan="5" id="lblSeatsSelected"></td>
			                </tr>
			                <tr>
			                    <td colspan="6">&nbsp;</td>
			                </tr>
			                <tr>
			                    <td></td>
			                    <td class="text-right">Qty</td>
			                    <td></td>
			                    <td class="text-right">Price</td>
			                    <td></td>
			                    <td class="text-right">Total</td>
			                </tr>
			                <tr>
			                    <td>Ticket</td>
			                    <td class="text-right" id="lblSeatQtyBtm"></td>
			                    <td class="text-center">&nbsp;x</td>
			                    <td class="text-right" id="lblTicketPrice">{{ movie.price }}</td>
			                    <td class="text-center">&nbsp;=</td>
			                    <td class="text-right" id="lblTotalTicketPrice">₱543.00</td>
			                </tr>
			                <tr>
			                    <td>Convenience Fee</td>
			                    <td class="text-right" id="lblConvQty"></td>
			                    <td class="text-center">&nbsp;x</td>
			                    <td class="text-right">₱20.00</td>
			                    <td class="text-center">&nbsp;=</td>
			                    <td class="text-right" id="lblTotalConv"></td>
			                </tr>
			                <tr id="tr-discount" style="display: none;">
			                    <td>Discount</td>
			                    <td class="text-right" id="lblDiscountQty">0</td>
			                    <td class="text-center">&nbsp;x</td>
			                    <td class="text-right" id="lblDiscountAmt">₱0</td>
			                    <td class="text-center">&nbsp;=</td>
			                    <td class="text-right" id="lblTotalDiscount">- ₱0.00</td>
			                </tr>
			                <tr>
			                    <td>Grand Total</td>
			                    <td colspan="3"></td>
			                    <td class="text-center">&nbsp;=</td>
			                    <td class="text-right" style="font-weight: bold;" id="lblGrandTotal"></td>
			                </tr>
					  </tbody>
					</table>
				</div>
				<div class="col-md-6"></div>
				<div class="col-md-6">
					<div style="margin-top: 5px;">
			            <div id="div-PaymentOpt">
			                <p>Choose Payment Option</p>
			                <div id="payment-options">
			                        <div class="radio">
			                            <label><input type="radio" name="optPayment" value="1" data-gateway="Credit Card / BancNet" data-philam="1" checked="">Credit Card / BancNet</label>
			                        </div>
			                        <div class="radio">
			                            <label><input type="radio" name="optPayment" value="14" data-gateway="On-Site Payment" data-philam="0" data-percent="50">On-Site Payment<span id="seat-counter"><small><i id='seatsLeft'></i></small></span></label>
			                        </div>
			</div>
			            </div>
			              <div id="divVCode" style="display: none;">
			                <span>Voucher Code: </span> <input type="text" id="txtVCode"> <button type="button" class="btn btn-primary" id="btnVCode">Click to Verify</button>
			            </div>
			            <br>
			            <p style="font-weight: bold">
			                The seat(s) you have selected will automatically be locked for 30 minutes upon clicking "Proceed to Payment" button.
			                In the event that you experience failure during payment, we can still retrieve your preferred seat(s) within the allocated “seat lock time.”
			                Otherwise your seat(s) may be forfeited.
			            </p>
			            <p style="font-weight: bold">You may call our hotline (470-2222) to inquire about your preferred seat/s.</p>
			            <p style="font-weight: bold">Note:</p>
			            <ul>
			                <li>Previously selected seats may take some time to appear as “Available” when you re-try. You may select other available seats.</li>
			                <li>Our payment gateway can only accept MasterCard and Visa.</li>
			                <li>Foreign Cards are not allowed.</li>
			            </ul>
			            <p style="font-weight: bold"><i>We encourage all MS Cinema patrons to come earlier than the preferred screening time to avoid any inconvenience.</i></p>
			            
			            
			            <div class="checkbox">
			                <label>
			                    <input type="checkbox" name="msterms">I agree to the
			                </label>
			                <a href="/Home/Terms" target="_blank">MS Cinema Terms &amp; Conditions</a>
			                <br>
			                <br>
			                
			                <button class="btn btn-primary" type="button" id="btnPaymentGateway">Proceed To Payment</button>
			            </div>
			        </div>
				</div>
			</div>
			</div>
		  </div>
		</div>
	</div>

</template>